runkit_class_emancipate
runkit_constant_redefine
runkit Funções
PHP Manual

# runkit_constant_add

(PECL runkit >= 0.7.0)

runkit_constant_add — Similar to define(), but allows defining in class definitions as well

### Descrição

bool runkit_constant_add ( string `$constname` , mixed `$value` )

### Parâmetros

`constname`

  Name of constant to declare. Either a string to indicate a global constant, or classname::constname to indicate a class constant.

`value`

  NULL, Bool, Long, Double, String, or Resource value to store in the new constant.

### Valor Retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em caso de falha.

### Veja Também

- define() - Define uma constante
- runkit_constant_redefine() - Redefine an already defined constant
- runkit_constant_remove() - Remove/Delete an already defined constant

runkit_class_emancipate
runkit_constant_redefine
runkit Funções
PHP Manual